// components/popup-textarea/popup-textarea.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    cancelText: {
      type: String,
      value: '取消' // 取消按钮的文字，最多 4 个字符
    },
    confirmText: {
      type: String,
      value: '确定' // 确认按钮的文字，最多 4 个字符
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    isShow: true,
    formData: ''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    bindTextAreaInput(e) {
      this.setData({
        formData: e.detail.value
      })
    },
    //隐藏弹框
    close() {
      this.setData({
        isShow: !this.data.isShow
      })
    },
    //展示弹框
    show() {
      this.setData({
        isShow: !this.data.isShow
      })
    },
    /*
     * 内部私有方法建议以下划线开头
     * triggerEvent 用于触发事件
     */
    _cancelEvent: function () {
      this.close();
      //this.triggerEvent('cancelEvent');
    },
    _confirmEvent: function () {
      this.triggerEvent('confirmEvent', this.data.formData);
    }
  }
})
